!
! canonicorder --- arrange the indices of two-electron integerals
!       in a canonic way
! Martin Albrecht
!
!
! Copyright (c) 2003 Martin Albrecht
! Copyright (c) 2004-2006 Christian Buth
!
! This library is free software; you can redistribute it and/or
! modify it under the terms of the GNU Lesser General Public
! License as published by the Free Software Foundation; either
! version 2.1 of the License, or (at your option) any later version.
!
! This library is distributed in the hope that it will be useful,
! but WITHOUT ANY WARRANTY; without even the implied warranty of
! MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
! Lesser General Public License for more details.
!
! You should have received a copy of the GNU Lesser General Public
! License along with this library; if not, write to the Free Software
! Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA
!


      subroutine canonicorder(ip,iq,ir,is)
      use Vintegrals
      implicit none

      integer ip,iq,ir,is
      integer i, j, ipq, irs

      if (iq.gt.ip) then
        i=ip
        ip=iq
        iq=i
      end if
      if (is.gt.ir) then
        i=ir
        ir=is
        is=i
      end if
      ipq=ip*(ip-1)/2+iq
      irs=ir*(ir-1)/2+is
      if (irs.gt.ipq) then
        i=ip
        j=iq
        ip=ir
        iq=is
        ir=i
        is=j
      end if
      end subroutine canonicorder
