!
! scanarray --- obtain linear index into the main memory
!       for a particular two-electron integeral
! Martin Albrecht
!
!
! Copyright (c) 2003 Martin Albrecht
! Copyright (c) 2004-2006 Christian Buth
!
! This library is free software; you can redistribute it and/or
! modify it under the terms of the GNU Lesser General Public
! License as published by the Free Software Foundation; either
! version 2.1 of the License, or (at your option) any later version.
!
! This library is distributed in the hope that it will be useful,
! but WITHOUT ANY WARRANTY; without even the implied warranty of
! MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
! Lesser General Public License for more details.
!
! You should have received a copy of the GNU Lesser General Public
! License along with this library; if not, write to the Free Software
! Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA
!


      subroutine scanarray(ijarray,mdim,ij,ileft,iright,ipos)
      use Vintegrals
      implicit none

      integer mdim, ijarray(:),ij,ileft,iright,ipos
      integer imid

      ipos=0
!      write(iout,*)'sr scan mdim=',mdim
!      write(iout,*)'sr scan ileft,iright=',ileft,iright
!      write(iout,*)'sr scan ij=',ij
!      write(iout,*)'sr scan ijarray(iright)=',ijarray(iright)
      if (ij.gt.ijarray(iright)) return

 117  continue
      imid=int((iright+ileft)/2)
      if ((imid.eq.ileft).or.(imid.eq.iright)) go to 127
      if (ij.gt.ijarray(imid)) then
        ileft=imid
      else
        iright=imid
      end if
      go to 117

 127  continue
      if (ij.eq.ijarray(ileft)) ipos=ileft
      if (ij.eq.ijarray(iright)) ipos=iright

      end subroutine scanarray
