!
! tcoadc --- type to represent CO-ADC band structures
! Christian Buth
! 10.02.2004
!
!
! Copyright (c) 2004-2006 Christian Buth
!
! This program is free software; you can redistribute it and/or modify
! it under the terms of the GNU General Public License as published by
! the Free Software Foundation; either version 2 of the License, or
! (at your option) any later version.
!
! This program is distributed in the hope that it will be useful,
! but WITHOUT ANY WARRANTY; without even the implied warranty of
! MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
! GNU General Public License for more details.
!
! You should have received a copy of the GNU General Public License
! along with this program; if not, write to the Free Software
! Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
!


      type tcoadc
        integer numOrbitals,         &          ! Number of orbitals to correlate
     &          numOccupied,         &          ! Number of occupied orbitals to correlate
     &          numVirtual,          &          ! Number of virtual orbitals to correlate
     &          numUnitCells,        &          ! Number of unit cells to be correlated
     &          startOccupied,       &          ! First (occupied) orbital correlated in CO-ADC
     &          endVirtual,          &          ! Last (virtual) orbital correlated in CO-ADC
     &          num2p1h,             &          ! Number of 2p1h configurations
     &          num2h1p,             &          ! Number of 2h1p configurations
     &          numBands                        ! Dimension of the band structure matrix
      end type tcoadc
