!
! fockparam --- get the parameters from the FOCKALL matrix
! Christian Buth
! 06.09.2004
!
!
! Copyright (c) 2004-2006 Christian Buth
!
! This program is free software; you can redistribute it and/or modify
! it under the terms of the GNU General Public License as published by
! the Free Software Foundation; either version 2 of the License, or
! (at your option) any later version.
!
! This program is distributed in the hope that it will be useful,
! but WITHOUT ANY WARRANTY; without even the implied warranty of
! MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
! GNU General Public License for more details.
!
! You should have received a copy of the GNU General Public License
! along with this program; if not, write to the Free Software
! Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
!
!
! Version 1.00: 06.09.2004 (Get number of orbitals)
!


      subroutine fockparam(wb)
      use wannier
      implicit none

      type(twannier), intent(inout) :: wb

#include "param_greens"
#include "common_greens"

      wb%numOrbitals = morbx
      wb%numOccupied = moccx
      wb%numVirtual  = morbx - moccx
      end subroutine fockparam
